{config, pkgs, ...}:

{
  imports = [ <home-manager/nixos> ];

  users.users.giulio = {
    description = "Giulio De Pasquale";
    isNormalUser = true;
    shell = pkgs.zsh;
    extraGroups = [ "wheel" ]; # Enable ‘sudo’ for the user.
  };

  home-manager.users.giulio = {
    imports = [ ./home ];
  };
}
